/*
 * Manuscript mode for EPSILON.
 *
 *  Copyright (c) 1986 by David Dyer-Bennet
 *  Permission for non-commercial use is hereby granted; all other
 *  rights are reserved.
 *
 *  Written by David Dyer-Bennet
 *  Terrabit Software
 *  4242 Minnehaha Ave S
 *  Minneapolis, MN 55406
 *  Sysop of Fido 14/341, The Terraboard, (612) 721-8967 3/12/24 24hrs
 *  (612) 721-8800 NOT 24 hrs!  More like noon to midnight
 */

/*
 *  Revision history:
 *
 *      Edit    Date        Who     Description
 *
 *  Version 1.0
 *      1       19-Mar-86   DD-B    Initial creation
 *      2       6-Apr-86    DD-B    Add versions
 */

#include <eel.h>
#include "versions.h"

keytable mss_tab, mss_cx_tab;

when_loading ()
{
    mss_tab[CTRL('X')] = find_index("mss-cx-tab");
}

command count_mss_pages () on mss_cx_tab ['l']
{
    	int count = 0, start = point;
	
	point = 0;
	while (nl_forward()) {
		count++;
	}
	point = start;
	say ("%d pages, %d lines", count/25, count%25);
}

command mss_mode ()
{
    fill_mode = 1;
    margin_right = 65;
    mode_keys = mss_tab;
    major_mode = strsave ("Mss");
    make_mode ();
    vers_edit = 1;
    versions_edit ('M');
}

suffix_mss ()
{
    mss_mode ();
}
